package com.jasamedika.medifirst2000.vo;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.entities.AntrianPasienDiPeriksa;
import com.jasamedika.medifirst2000.entities.Pegawai;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 *  class PasienDiRujukKeIntExt
 * 
 * @author Generator
 */

public class PasienDiRujukKeIntExtVO extends BaseTransactionVO {
	@Caption(value="Alamat Lengkap Rujukan Out")
	@Column(name = "AlamatLengkapRujukanOut", nullable = true , length = 100)
	private String alamatLengkapRujukanOut;

	@Caption(value="Alasan Keterangan Di Rujuk Out")
	@Column(name = "AlasanKeteranganDiRujukOut", nullable = true , length = 100)
	private String alasanKeteranganDirujukOut;

	@Caption(value="Di Rujuk Out Ke")
	@Column(name = "DiRujukOutKe", nullable = true , length = 75)
	private String dirujukOutKe;

	@Caption(value="Dokter Pemeriksa Rujukan Out")
	@Column(name = "DokterPemeriksaRujukanOut", nullable = true , length = 40)
	private String dokterPemeriksaRujukanOut;

	@ManyToOne
	@JoinColumn(name = "ObjectAsalRujukanPerujukFk")
	@Caption(value="Object Asal Rujukan Perujuk")
	private AsalRujukanVO asalRujukanPerujuk;

	@Column(name = "ObjectAsalRujukanPerujukFk", insertable=false,updatable=false)
	private Integer asalRujukanPerujukId;

	@ManyToOne
	@JoinColumn(name = "ObjectDiagnosaPerujukFk")
	@Caption(value="Object Diagnosa Perujuk")
	private DiagnosaVO diagnosaPerujuk;

	@Column(name = "ObjectDiagnosaPerujukFk", insertable=false,updatable=false)
	private Integer diagnosaPerujukId;

	@ManyToOne
	@JoinColumn(name = "ObjectdokterPerujukFk")
	@Caption(value="Object Dokter Perujuk")
	private PegawaiVO dokterPerujuk;

	@Column(name = "ObjectDiagnosaPerujukFk", insertable=false,updatable=false)
	private Integer dokterPerujukId;

	@ManyToOne
	@JoinColumn(name = "ObjectKasusPenyakitPerujukFk")
	@Caption(value="Object Kasus Penyakit Perujuk")
	private KasusPenyakitVO kasusPenyakitPerujuk;

	@Column(name = "ObjectKasusPenyakitPerujukFk", insertable=false,updatable=false)
	private Integer kasusPenyakitPerujukId;

	@ManyToOne
	@JoinColumn(name = "ObjectKasusPenyakitTujuanFk")
	@Caption(value="Object Kasus Penyakit Tujuan")
	private KasusPenyakitVO kasusPenyakitTujuan;

	@Column(name = "ObjectKasusPenyakitTujuanFk", insertable=false,updatable=false)
	private Integer kasusPenyakitTujuanId;

	@ManyToOne
	@JoinColumn(name = "ObjectKelasPerujukFk")
	@Caption(value="Object Kelas Perujuk")
	private DetailKamarVO kelasPerujuk;

	@Column(name = "ObjectKelasPerujukFk", insertable=false,updatable=false)
	private Integer kelasPerujukId;

	@ManyToOne
	@JoinColumn(name = "ObjectRuanganPerujukFk")
	@NotNull(message="Object Ruangan Perujuk Harus Diisi")
	@Caption(value="Object Ruangan Perujuk")
	private RuanganVO ruanganPerujuk;

	@Column(name = "ObjectRuanganPerujukFk", insertable=false,updatable=false)
	private Integer ruanganPerujukId;

	@ManyToOne
	@JoinColumn(name = "ObjectRuanganTujuanFk")
	@Caption(value="Object Ruangan Tujuan")
	private RuanganVO ruanganTujuan;

	@Column(name = "ObjectRuanganTujuanFk", insertable=false,updatable=false)
	private Integer ruanganTujuanId;

	@Caption(value="Keterangan Lainnya")
	@Column(name = "KeteranganLainnya", nullable = true , length = 150)
	private String keteranganLainnya;

	@Caption(value="Keterangan Lain Rujukan Out Retur")
	@Column(name = "KeteranganLainRujukanOutRetur", nullable = true , length = 150)
	private String keteranganLainRujukanOutRetur;

	@Caption(value="No Antrian By Dokter Tujuan")
	@Column(name = "NoAntrianByDokterTujuan", nullable = true )
	private Integer noAntrianByDokterTujuan;

	@Caption(value="No Antrian Tujuan")
	@Column(name = "NoAntrianTujuan", nullable = false )
	private Integer noAntrianTujuan;

	@ManyToOne
	@JoinColumn(name = "NoCMFk")
	@NotNull(message="No C M Harus Diisi")
	@Caption(value="No C M")
	private PasienVO noCm;

	@Column(name = "NoCMFk", insertable=false,updatable=false)
	private Integer noCmId;

	@ManyToOne
	@JoinColumn(name = "NoRegistrasiFk")
	@NotNull(message="No Registrasi Harus Diisi")
	@Caption(value="No Registrasi")
	private AntrianPasienDiPeriksa noRegistrasi;

	@Column(name = "NoRegistrasiFk", insertable=false,updatable=false)
	private String noRegistrasiId;

	@ManyToOne
	@JoinColumn(name = "NoReturDiRujukFk")
	@Caption(value="No Retur Di Rujuk")
	private StrukReturVO noReturDirujuk;

	@Column(name = "NoReturDiRujukFk", insertable=false,updatable=false)
	private String noReturDiRujukId;

	@Caption(value="Resume Periksa Rujukan Out")
	@Column(name = "ResumePeriksaRujukanOut", nullable = true , length = 500)
	private String resumePeriksaRujukanOut;

	@Caption(value="Status Pasien Tujuan")
	@Column(name = "StatusPasienTujuan", nullable = false )
	private Byte statusPasienTujuan;

	@Caption(value="Tanggal Di Rujuk")
	@Column(name = "TglDiRujuk", nullable = false )
	private Date tglDirujuk;

	@Caption(value="Tanggal Pasien Rujukan Out Retur")
	@Column(name = "TglPasienRujukanOutRetur", nullable = true )
	private Date tglPasienRujukanOutRetur;
	
	@Caption(value="Jawaban Konsultasi")
	@Column(name = "JawabanKonsultasi", nullable = true )
	private String jawabanKonsultasi;

	public String getAlamatLengkapRujukanOut() {
		return alamatLengkapRujukanOut;
	}

	public void setAlamatLengkapRujukanOut(String alamatLengkapRujukanOut) {
		this.alamatLengkapRujukanOut = alamatLengkapRujukanOut;
	}

	public String getAlasanKeteranganDirujukOut() {
		return alasanKeteranganDirujukOut;
	}

	public void setAlasanKeteranganDirujukOut(String alasanKeteranganDirujukOut) {
		this.alasanKeteranganDirujukOut = alasanKeteranganDirujukOut;
	}

	public String getDirujukOutKe() {
		return dirujukOutKe;
	}

	public void setDirujukOutKe(String dirujukOutKe) {
		this.dirujukOutKe = dirujukOutKe;
	}

	public String getDokterPemeriksaRujukanOut() {
		return dokterPemeriksaRujukanOut;
	}

	public void setDokterPemeriksaRujukanOut(String dokterPemeriksaRujukanOut) {
		this.dokterPemeriksaRujukanOut = dokterPemeriksaRujukanOut;
	}

	public AsalRujukanVO getAsalRujukanPerujuk() {
		return asalRujukanPerujuk;
	}

	public void setAsalRujukanPerujuk(AsalRujukanVO asalRujukanPerujuk) {
		this.asalRujukanPerujuk = asalRujukanPerujuk;
	}

	public Integer getAsalRujukanPerujukId() {
		return asalRujukanPerujukId;
	}

	public void setAsalRujukanPerujukId(Integer asalRujukanPerujukId) {
		this.asalRujukanPerujukId = asalRujukanPerujukId;
	}

	public DiagnosaVO getDiagnosaPerujuk() {
		return diagnosaPerujuk;
	}

	public void setDiagnosaPerujuk(DiagnosaVO diagnosaPerujuk) {
		this.diagnosaPerujuk = diagnosaPerujuk;
	}

	public Integer getDiagnosaPerujukId() {
		return diagnosaPerujukId;
	}

	public void setDiagnosaPerujukId(Integer diagnosaPerujukId) {
		this.diagnosaPerujukId = diagnosaPerujukId;
	}

	public PegawaiVO getDokterPerujuk() {
		return dokterPerujuk;
	}

	public void setDokterPerujuk(PegawaiVO dokterPerujuk) {
		this.dokterPerujuk = dokterPerujuk;
	}

	public Integer getDokterPerujukId() {
		return dokterPerujukId;
	}

	public void setDokterPerujukId(Integer dokterPerujukId) {
		this.dokterPerujukId = dokterPerujukId;
	}

	public KasusPenyakitVO getKasusPenyakitPerujuk() {
		return kasusPenyakitPerujuk;
	}

	public void setKasusPenyakitPerujuk(KasusPenyakitVO kasusPenyakitPerujuk) {
		this.kasusPenyakitPerujuk = kasusPenyakitPerujuk;
	}

	public Integer getKasusPenyakitPerujukId() {
		return kasusPenyakitPerujukId;
	}

	public void setKasusPenyakitPerujukId(Integer kasusPenyakitPerujukId) {
		this.kasusPenyakitPerujukId = kasusPenyakitPerujukId;
	}

	public KasusPenyakitVO getKasusPenyakitTujuan() {
		return kasusPenyakitTujuan;
	}

	public void setKasusPenyakitTujuan(KasusPenyakitVO kasusPenyakitTujuan) {
		this.kasusPenyakitTujuan = kasusPenyakitTujuan;
	}

	public Integer getKasusPenyakitTujuanId() {
		return kasusPenyakitTujuanId;
	}

	public void setKasusPenyakitTujuanId(Integer kasusPenyakitTujuanId) {
		this.kasusPenyakitTujuanId = kasusPenyakitTujuanId;
	}

	public DetailKamarVO getKelasPerujuk() {
		return kelasPerujuk;
	}

	public void setKelasPerujuk(DetailKamarVO kelasPerujuk) {
		this.kelasPerujuk = kelasPerujuk;
	}

	public Integer getKelasPerujukId() {
		return kelasPerujukId;
	}

	public void setKelasPerujukId(Integer kelasPerujukId) {
		this.kelasPerujukId = kelasPerujukId;
	}

	public RuanganVO getRuanganPerujuk() {
		return ruanganPerujuk;
	}

	public void setRuanganPerujuk(RuanganVO ruanganPerujuk) {
		this.ruanganPerujuk = ruanganPerujuk;
	}

	public Integer getRuanganPerujukId() {
		return ruanganPerujukId;
	}

	public void setRuanganPerujukId(Integer ruanganPerujukId) {
		this.ruanganPerujukId = ruanganPerujukId;
	}

	public RuanganVO getRuanganTujuan() {
		return ruanganTujuan;
	}

	public void setRuanganTujuan(RuanganVO ruanganTujuan) {
		this.ruanganTujuan = ruanganTujuan;
	}

	public Integer getRuanganTujuanId() {
		return ruanganTujuanId;
	}

	public void setRuanganTujuanId(Integer ruanganTujuanId) {
		this.ruanganTujuanId = ruanganTujuanId;
	}

	public String getKeteranganLainnya() {
		return keteranganLainnya;
	}

	public void setKeteranganLainnya(String keteranganLainnya) {
		this.keteranganLainnya = keteranganLainnya;
	}

	public String getKeteranganLainRujukanOutRetur() {
		return keteranganLainRujukanOutRetur;
	}

	public void setKeteranganLainRujukanOutRetur(String keteranganLainRujukanOutRetur) {
		this.keteranganLainRujukanOutRetur = keteranganLainRujukanOutRetur;
	}

	public Integer getNoAntrianByDokterTujuan() {
		return noAntrianByDokterTujuan;
	}

	public void setNoAntrianByDokterTujuan(Integer noAntrianByDokterTujuan) {
		this.noAntrianByDokterTujuan = noAntrianByDokterTujuan;
	}

	public Integer getNoAntrianTujuan() {
		return noAntrianTujuan;
	}

	public void setNoAntrianTujuan(Integer noAntrianTujuan) {
		this.noAntrianTujuan = noAntrianTujuan;
	}

	public PasienVO getNoCm() {
		return noCm;
	}

	public void setNoCm(PasienVO noCm) {
		this.noCm = noCm;
	}

	public Integer getNoCmId() {
		return noCmId;
	}

	public void setNoCmId(Integer noCmId) {
		this.noCmId = noCmId;
	}

	public AntrianPasienDiPeriksa getNoRegistrasi() {
		return noRegistrasi;
	}

	public void setNoRegistrasi(AntrianPasienDiPeriksa noRegistrasi) {
		this.noRegistrasi = noRegistrasi;
	}

	public String getNoRegistrasiId() {
		return noRegistrasiId;
	}

	public void setNoRegistrasiId(String noRegistrasiId) {
		this.noRegistrasiId = noRegistrasiId;
	}

	public StrukReturVO getNoReturDirujuk() {
		return noReturDirujuk;
	}

	public void setNoReturDirujuk(StrukReturVO noReturDirujuk) {
		this.noReturDirujuk = noReturDirujuk;
	}

	public String getNoReturDiRujukId() {
		return noReturDiRujukId;
	}

	public void setNoReturDiRujukId(String noReturDiRujukId) {
		this.noReturDiRujukId = noReturDiRujukId;
	}

	public String getResumePeriksaRujukanOut() {
		return resumePeriksaRujukanOut;
	}

	public void setResumePeriksaRujukanOut(String resumePeriksaRujukanOut) {
		this.resumePeriksaRujukanOut = resumePeriksaRujukanOut;
	}

	public Byte getStatusPasienTujuan() {
		return statusPasienTujuan;
	}

	public void setStatusPasienTujuan(Byte statusPasienTujuan) {
		this.statusPasienTujuan = statusPasienTujuan;
	}

	public Date getTglDirujuk() {
		return tglDirujuk;
	}

	public void setTglDirujuk(Date tglDirujuk) {
		this.tglDirujuk = tglDirujuk;
	}

	public Date getTglPasienRujukanOutRetur() {
		return tglPasienRujukanOutRetur;
	}

	public void setTglPasienRujukanOutRetur(Date tglPasienRujukanOutRetur) {
		this.tglPasienRujukanOutRetur = tglPasienRujukanOutRetur;
	}

	public String getJawabanKonsultasi() {
		return jawabanKonsultasi;
	}

	public void setJawabanKonsultasi(String jawabanKonsultasi) {
		this.jawabanKonsultasi = jawabanKonsultasi;
	}

}

